Skip to content
GridRouterhome

Search

Search providers, capabilities and pages

Docs
API referenceAccount and billing

Simulate a billing event

POST
/v1/billing/simulate

Test and simulated modes only: payment failure, dispute (freezes the org), refund, renewal, downgrade, cancel, auto-recharge, grant expiry, or reset simulated state.

Authorization

bearer
AuthorizationBearer <token>

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

curl -X POST "https://example.com/v1/billing/simulate" \  -H "Content-Type: application/json" \  -d '{    "scenario": "payment_failed"  }'
{  "object": "simulation",  "scenario": "payment_failed",  "events": [    "string"  ],  "message": "string"}